Skip to main content
PUT
/
api
/
v1
/
invoices
/
{id}
청구서 수정
curl --request PUT \
  --url https://api.steppay.kr/api/v1/invoices/{id} \
  --header 'Content-Type: application/json' \
  --header 'Secret-Token: <api-key>' \
  --data '
{
  "id": 123,
  "customerId": 123,
  "products": [
    {
      "productCode": "<string>",
      "priceCode": "<string>",
      "minimumQuantity": 123,
      "maximumQuantity": 123,
      "productName": "<string>",
      "price": 123
    }
  ],
  "purchaseDeadline": "2023-11-07T05:31:56Z",
  "publishMethods": [],
  "discount": 1,
  "reservationAt": "2023-11-07T05:31:56Z",
  "invoicePayMethods": [],
  "memoToCustomer": "<string>"
}
'
import requests

url = "https://api.steppay.kr/api/v1/invoices/{id}"

payload = {
"id": 123,
"customerId": 123,
"products": [
{
"productCode": "<string>",
"priceCode": "<string>",
"minimumQuantity": 123,
"maximumQuantity": 123,
"productName": "<string>",
"price": 123
}
],
"purchaseDeadline": "2023-11-07T05:31:56Z",
"publishMethods": [],
"discount": 1,
"reservationAt": "2023-11-07T05:31:56Z",
"invoicePayMethods": [],
"memoToCustomer": "<string>"
}
headers = {
"Secret-Token": "<api-key>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {'Secret-Token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: 123,
customerId: 123,
products: [
{
productCode: '<string>',
priceCode: '<string>',
minimumQuantity: 123,
maximumQuantity: 123,
productName: '<string>',
price: 123
}
],
purchaseDeadline: '2023-11-07T05:31:56Z',
publishMethods: [],
discount: 1,
reservationAt: '2023-11-07T05:31:56Z',
invoicePayMethods: [],
memoToCustomer: '<string>'
})
};

fetch('https://api.steppay.kr/api/v1/invoices/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "errorCode": "<string>",
  "traceId": "<string>",
  "errorMessage": "<string>",
  "details": {}
}
{
"errorCode": "<string>",
"traceId": "<string>",
"errorMessage": "<string>",
"details": {}
}

Authorizations

Secret-Token
string
header
required

Path Parameters

id
integer<int64>
required

청구서 번호

Query Parameters

temporary
boolean
default:true

Body

application/json

청구서 수정 데이터

id
integer<int64>
required

청구서 번호

customerId
integer<int64>
required

청구서 받을 고객 번호

products
청구서 상품 및 가격플랜 정보 · object[]
required

청구서 상품 및 가격 플랜 목록

publishType
enum<string>
required

청구서 발행 타입

Available options:
NOW,
RESERVATION
purchaseDeadline
string<date-time>
required

구매 가능 기한

publishMethods
enum<string>[]
required

발송 수단 목록

발송 수단 목록

Available options:
KAKAO,
SMS,
EMAIL
discount
number
required

할인 금액

Required range: x > 0
reservationAt
string<date-time>

예약 발송 시점

invoicePayMethods
enum<string>[]

지정 결제 수단

지정 결제 수단

Available options:
CARD,
VBANK,
BANK,
BANK_TRANSFER,
CELLPHONE,
SIMPLE_PAY,
CMS,
CARD_BILL,
CELLPHONE_BILL,
CMS_BILL,
PAYPAL
memoToCustomer
string

청구서 메모

Response

정상적으로 수정됨